Subject: Re: [Sip] Regarding Registrar behaviour in GRUU draft

From: Paul Kyzivat <[email-masked]>
Date: Fri, 02 Dec 2005 13:50:56 -0500

Did anyone respond to this?

Karthik Kamaraj - NPD, Chennai wrote:
> 
>> -----Original Message-----
>>From: 	Karthik Kamaraj - NPD, Chennai  
>>Sent:	Saturday, November 19, 2005 1:18 PM
>>To:	[email-masked]'
>>Subject:	RE: Regarding Registrar behaviour in GRUU draft
>>
>>Hi,
>>       I have one more doubt regarding this.Suppose Consider a case where
>>UA Sends REGISTER request with Supported header has option tag as "gruu"
>>and two Contact header one has "+sip.instance" header param another
>>doesn't have it.
>>       I want to know the behaviour of registrar in this case.
>>Thanks in advance,

IMO it should register both contacts and return a response containing 
them. The one with the instance should come back with a GRUU, while the 
one without an instance should be returned without a GRUU.

	Paul

>>Karthik
>>
>>	 -----Original Message-----
>>	From: 	Karthik Kamaraj - NPD, Chennai  
>>	Sent:	Friday, November 18, 2005 8:46 PM
>>	To:	[email-masked]'
>>	Subject:	Regarding Registrar behaviour in GRUU draft
>>
>>	Hi,
>>	       Section in draft-ietf-sip-gruu-06 states that "As the
>>registrar is processing the contacts in the REGISTER   request according
>>to the procedures of step 7 in Section 10.3 of RFC 3261,
>>	the registrar checks whether each Contact header field in the
>>REGISTER message contains a "+sip.instance" header field parameter.If
>>present, the contact is processed further. "
>>
>>	I want to know the behaviour of Registrar if it received REGISTER
>>request with Supported header has option tag as "gruu", but Contact header
>>doesn't have "+sip.instance" header parameter. 
>>
>>	Thanks,
>>	Karthik 
>>
> 
> 
> 
> Disclaimer:
> 
> This message and any attachment(s) contained here are information that is confidential, proprietary to HCL Technologies and its customers, privileged or otherwise protected by law. The information is solely intended for the individual or the entity it is addressed to. If you are not the intended recipient of this message, you are not authorized to read, forward, print, retain, copy or disseminate this message or any part of it. If you have received this e-mail in error, please notify the sender immediately by return e-mail and delete it from your computer.
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip